Bug 17190 - Mark REST API dependencies as mandatory in PerlDependencies.pm
Summary: Mark REST API dependencies as mandatory in PerlDependencies.pm
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: REST api (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Alex Buckley
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 14868
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-24 19:44 UTC by Katrin Fischer
Modified: 2017-09-25 18:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17190 - Marked REST API as mandatory (require = 1) in PerlDependencies.pm (930 bytes, patch)
2017-04-01 03:34 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17190 - Marked REST API as mandatory (require = 1) in PerlDependencies.pm (1.20 KB, patch)
2017-04-02 17:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17190 - Marked REST API as mandatory (require = 1) in PerlDependencies.pm (1.25 KB, patch)
2017-05-02 10:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-08-24 19:44:49 UTC
A bug to not forget this when making the REST API mandatory by using it for features in the GUI.
Comment 1 Alex Buckley 2017-04-01 03:34:24 UTC
Created attachment 61766 [details] [review]
Bug 17190 - Marked REST API as mandatory (require = 1) in PerlDependencies.pm
Comment 2 Alex Buckley 2017-04-01 03:40:41 UTC
Hi Katrin
I am assuming the changes you requested in this bug report were covered by the two minor changes I made in this patch.

Test plan:
1. In your terminal view C4/Installer/PerlDependencies.pm and notice that the Mojolicious and swagger2 dependencies which use REST API are optionally required (i.e. have 'required' => '0')

2. Apply this patch

3. View C4/Installer/PerlDependencies.pm again and notice that Mojolicious and swagger2 now have mandatory dependency on REST API (i.e. 'require' => '1')
Comment 3 Marc Véron 2017-04-02 17:58:59 UTC
Created attachment 61772 [details] [review]
Bug 17190 - Marked REST API as mandatory (require = 1) in PerlDependencies.pm

For testing I went in Staff client to Home > About Koha > tab  Perl modules
and verified that both Mojolicious (6.0) and Swagger2 (0.59) are marked
as mandatory.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Katrin Fischer 2017-05-01 12:32:09 UTC
Thx Alex and Marc!
Comment 5 Nick Clemens 2017-05-02 10:08:20 UTC
Created attachment 62946 [details] [review]
Bug 17190 - Marked REST API as mandatory (require = 1) in PerlDependencies.pm

For testing I went in Staff client to Home > About Koha > tab  Perl modules
and verified that both Mojolicious (6.0) and Swagger2 (0.59) are marked
as mandatory.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Kyle M Hall 2017-05-08 13:06:38 UTC
Pushed to master for 17.05, thanks Alex!
Comment 7 Katrin Fischer 2017-05-14 09:19:39 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 8 Mason James 2017-05-24 02:24:49 UTC
Blocked by Enhancement, skipping for 16.05.x